For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Product link details

Get Product link details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
productLinkUidstringRequired

Reference to a Product link.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
productLinkUidstringRequiredPattern: ^[A-Za-z0-9-_]+
linkTypestring · enumRequired
ENUMDescription
INSURANCEInsurance products allowed to be added to the product
ALTERNATIVEAlternative products if the main product is not available
ACCESSORYAccessory products for the main product
SPARE_PARTSpare part that can be used to repair the product
SERVICEService products.
FREIGHT_SERVICEFreight service products.
AUTO_ADDThe products will be auto added to the order and can not be removed without removing the main product.
Possible values:
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/products/{productUid}/links/{productLinkUid}
GET /v2/tenants/{tenantUid}/products/{productUid}/links/{productLinkUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "productLinkUid": "text",
  "linkType": "INSURANCE",
  "productUid": "text"
}

Last updated

Was this helpful?